### Class

# Foundry CompletionProposal

#### Description [src]

    abstract class Foundry.CompletionProposal : GObject.Object
    {
      /* No available fields */
    }

An abstract base class for completion providers.

#### Ancestors

- GObject

#### Descendants

- FoundryLspCompletionProposal

#### Instance methods

###### foundry_completion_proposal_dup_after

No description available.

###### foundry_completion_proposal_dup_comment

No description available.

###### foundry_completion_proposal_dup_details

No description available.

###### foundry_completion_proposal_dup_icon

No description available.

###### foundry_completion_proposal_dup_snippet_text

If the proposal supports inserting a snippet, then this contains the text of that snippet.

###### foundry_completion_proposal_dup_typed_text

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.CompletionProposal:after

No description available.

###### Foundry.CompletionProposal:comment

No description available.

###### Foundry.CompletionProposal:details

No description available.

###### Foundry.CompletionProposal:icon

No description available.

###### Foundry.CompletionProposal:typed-text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCompletionProposalClass {
      GObjectClass parent_class;
      GIcon* (* dup_icon) (
        FoundryCompletionProposal* self
      );
      char* (* dup_typed_text) (
        FoundryCompletionProposal* self
      );
      char* (* dup_snippet_text) (
        FoundryCompletionProposal* self
      );
      char* (* dup_after) (
        FoundryCompletionProposal* self
      );
      char* (* dup_comment) (
        FoundryCompletionProposal* self
      );
      char* (* dup_details) (
        FoundryCompletionProposal* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_icon: GIcon* (* dup_icon) ( FoundryCompletionProposal* self )`

  No description available.

`dup_typed_text: char* (* dup_typed_text) ( FoundryCompletionProposal* self )`

  No description available.

`dup_snippet_text: char* (* dup_snippet_text) ( FoundryCompletionProposal* self )`

  No description available.

`dup_after: char* (* dup_after) ( FoundryCompletionProposal* self )`

  No description available.

`dup_comment: char* (* dup_comment) ( FoundryCompletionProposal* self )`

  No description available.

`dup_details: char* (* dup_details) ( FoundryCompletionProposal* self )`

  No description available.

#### Virtual methods

###### Foundry.CompletionProposalClass.dup_after

No description available.

###### Foundry.CompletionProposalClass.dup_comment

No description available.

###### Foundry.CompletionProposalClass.dup_details

No description available.

###### Foundry.CompletionProposalClass.dup_icon

No description available.

###### Foundry.CompletionProposalClass.dup_snippet_text

If the proposal supports inserting a snippet, then this contains the text of that snippet.

###### Foundry.CompletionProposalClass.dup_typed_text

No description available.